TOP=../..
include $(TOP)/configure/CONFIG
#----------------------------------------
#  ADD MACRO DEFINITIONS AFTER THIS LINE

#----------------------------------------------------
# Find any .sym files in the Db directory
vpath %.sym ..

# Install database files created from .sch files
# using TDCT (or just install .db files) into <top>/db.
# TDCT_CFG can be redefined here if needed
#TDCT_CFG = ../tdct.cfg

# Make depends on all .sch files
#DEPSCHS = $(wildcard ../*.sch)

# Add target .db files below here. Each must
# correspond to a .sch file
# DB += xxx.db
#DEPSCHS = $(wildcard ../*.sch)
DB_INSTALLS += ../wsDhg.proto
#DB_INSTALLS += ../wsYoung.proto
DB_INSTALLS += ../wsYng.proto
DB_INSTALLS += ../wsVaisHum.proto
DB_INSTALLS += ../wsVaisLog.proto
DB_INSTALLS += ../wsPartMon.proto
DB_INSTALLS += ../wsQualStation.proto


TEMPLATES_DIR = schematics
TEMPLATES += wsDhgRec.sch wsDhgRec.sym
TEMPLATES += wsYoungRec.sch wsYoungRec.sym
TEMPLATES += wsYoungBarRec.sch wsYoungBarRec.sym
TEMPLATES += wsPartMonRec.sch wsPartMonRec.sym
TEMPLATES += wsVaisHumRec.sch wsVaisHumRec.sym
TEMPLATES += wsVaisLogRec.sch wsVaisLogRec.sym
TEMPLATES += wsQualStationRec.sch wsQualStationRec.sym


include $(TOP)/configure/RULES
#----------------------------------------
#  ADD RULES AFTER THIS LINE
$(COMMON_DIR)/%.db: %.db
	cp $< $@

clean: myclean
myclean:
	$(RM) *.dat *.bak 
